<!DOCTYPE html>
    <head>
        <meta charset="UTF-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=yes">
        <link rel="stylesheet" href="css/bootstrap.min.css" >
        <link rel="stylesheet" href="css/stiilid.css" />
    </head>
    <body>
        <div class="container-fluid">
            <div class="row">
                <div class="col-12"> Catalogue(CSV): <input id="catalogue-file-input" type="file"/></div>
            </div>        
            <div class="row">
                <div class="col-12 bold"> Project(XML): <input class="bold" id="xml-file-input" type="file"/></div>
            </div>
            <div class="row">
                <div id="worktop-image-uri"></div>
            </div>
            <div class="row">
                <div class="col-lg-4">
                    <textarea rows="40" cols="50" id="cad-commands"></textarea>
                </div>
                <div class="col-lg-8" id="file-content"></div>
            </div>
        </div>

        <script src="cad_xml_parser.js"></script>
        <script lang="javascript">
            document.getElementById('xml-file-input').addEventListener('change', function(){
                displayContents('', 'worktop-image-uri', false);
                displayContents('', 'cad-commands', false);
                displayContents('', 'file-content', false);
                readAndParseSingleFile(event, parseFunctionName='parseWorkTops');
                }, false);
            document.getElementById('catalogue-file-input').addEventListener('change', loadCatalogueCSVFile);
        </script>
    </body>
</html>